33ee2d91e2607b548bb7a94029bd813437c84df4
[scilab.git] / scilab / modules / umfpack / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
19 # Copyright (C) 2008 - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
20 #
21 # This file must be used under the terms of the CeCILL.
22 # This source file is licensed as described in the file COPYING, which
23 # you should have received as part of this distribution.  The terms
24 # are also available at
25 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
26
27 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
28 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
29 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
30 #
31 # This file must be used under the terms of the CeCILL.
32 # This source file is licensed as described in the file COPYING, which
33 # you should have received as part of this distribution.  The terms
34 # are also available at
35 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
36 #
37
38 ##########
39 ### Makefile included stuff
40 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
41 ##########
42
43
44 VPATH = @srcdir@
45 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
46 am__make_running_with_option = \
47   case $${target_option-} in \
48       ?) ;; \
49       *) echo "am__make_running_with_option: internal error: invalid" \
50               "target option '$${target_option-}' specified" >&2; \
51          exit 1;; \
52   esac; \
53   has_opt=no; \
54   sane_makeflags=$$MAKEFLAGS; \
55   if $(am__is_gnu_make); then \
56     sane_makeflags=$$MFLAGS; \
57   else \
58     case $$MAKEFLAGS in \
59       *\\[\ \   ]*) \
60         bs=\\; \
61         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
62           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
63     esac; \
64   fi; \
65   skip_next=no; \
66   strip_trailopt () \
67   { \
68     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
69   }; \
70   for flg in $$sane_makeflags; do \
71     test $$skip_next = yes && { skip_next=no; continue; }; \
72     case $$flg in \
73       *=*|--*) continue;; \
74         -*I) strip_trailopt 'I'; skip_next=yes;; \
75       -*I?*) strip_trailopt 'I';; \
76         -*O) strip_trailopt 'O'; skip_next=yes;; \
77       -*O?*) strip_trailopt 'O';; \
78         -*l) strip_trailopt 'l'; skip_next=yes;; \
79       -*l?*) strip_trailopt 'l';; \
80       -[dEDm]) skip_next=yes;; \
81       -[JT]) skip_next=yes;; \
82     esac; \
83     case $$flg in \
84       *$$target_option*) has_opt=yes; break;; \
85     esac; \
86   done; \
87   test $$has_opt = yes
88 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
89 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
90 pkgdatadir = $(datadir)/@PACKAGE@
91 pkgincludedir = $(includedir)/@PACKAGE@
92 pkglibdir = $(libdir)/@PACKAGE@
93 pkglibexecdir = $(libexecdir)/@PACKAGE@
94 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
95 install_sh_DATA = $(install_sh) -c -m 644
96 install_sh_PROGRAM = $(install_sh) -c
97 install_sh_SCRIPT = $(install_sh) -c
98 INSTALL_HEADER = $(INSTALL_DATA)
99 transform = $(program_transform_name)
100 NORMAL_INSTALL = :
101 PRE_INSTALL = :
102 POST_INSTALL = :
103 NORMAL_UNINSTALL = :
104 PRE_UNINSTALL = :
105 POST_UNINSTALL = :
106 build_triplet = @build@
107 host_triplet = @host@
108 @UMFPACK_TRUE@am__append_1 = $(UMFPACK_LIB)
109 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
110         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
111         $(top_srcdir)/config/depcomp
112 @NEED_JAVA_TRUE@am__append_2 = java
113 subdir = modules/umfpack
114 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
115 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
116         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
117         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
118         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
119         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
120         $(top_srcdir)/m4/intel_compiler.m4 \
121         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
122         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
123         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
124         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
125         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
126         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
127         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
128         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
129         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
130         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
131         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
132 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
133         $(ACLOCAL_M4)
134 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
135 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
136 CONFIG_CLEAN_FILES =
137 CONFIG_CLEAN_VPATH_FILES =
138 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
139 am__vpath_adj = case $$p in \
140     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
141     *) f=$$p;; \
142   esac;
143 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
144 am__install_max = 40
145 am__nobase_strip_setup = \
146   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
147 am__nobase_strip = \
148   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
149 am__nobase_list = $(am__nobase_strip_setup); \
150   for p in $$list; do echo "$$p $$p"; done | \
151   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
152   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
153     if (++n[$$2] == $(am__install_max)) \
154       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
155     END { for (dir in files) print dir, files[dir] }'
156 am__base_list = \
157   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
158   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
159 am__uninstall_files_from_dir = { \
160   test -z "$$files" \
161     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
162     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
163          $(am__cd) "$$dir" && rm -f $$files; }; \
164   }
165 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
166         "$(DESTDIR)$(libsciumfpack_la_etcdir)" \
167         "$(DESTDIR)$(libsciumfpack_la_rootdir)" \
168         "$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)"
169 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
170 libsciumfpack_algo_la_LIBADD =
171 am__libsciumfpack_algo_la_SOURCES_DIST = src/noumfpack/noumfpack.c \
172         src/c/taucs_scilab.c src/c/common_umfpack.c \
173         src/c/with_umfpack.c
174 am__dirstamp = $(am__leading_dot)dirstamp
175 @UMFPACK_FALSE@am__objects_1 = src/noumfpack/libsciumfpack_algo_la-noumfpack.lo
176 @UMFPACK_TRUE@am__objects_1 =  \
177 @UMFPACK_TRUE@  src/c/libsciumfpack_algo_la-taucs_scilab.lo \
178 @UMFPACK_TRUE@  src/c/libsciumfpack_algo_la-common_umfpack.lo \
179 @UMFPACK_TRUE@  src/c/libsciumfpack_algo_la-with_umfpack.lo
180 @UMFPACK_TRUE@am_libsciumfpack_algo_la_OBJECTS = $(am__objects_1)
181 libsciumfpack_algo_la_OBJECTS = $(am_libsciumfpack_algo_la_OBJECTS)
182 AM_V_lt = $(am__v_lt_@AM_V@)
183 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
184 am__v_lt_0 = --silent
185 am__v_lt_1 = 
186 @UMFPACK_TRUE@am_libsciumfpack_algo_la_rpath =
187 @UMFPACK_TRUE@libsciumfpack_la_DEPENDENCIES = libsciumfpack-algo.la
188 am__libsciumfpack_la_SOURCES_DIST = src/noumfpack/noumfpack.c \
189         src/c/taucs_scilab.c src/c/common_umfpack.c \
190         src/c/with_umfpack.c sci_gateway/c/gw_umfpack.c \
191         sci_gateway/c/sci_res_with_prec.c \
192         sci_gateway/c/sci_taucs_chdel.c \
193         sci_gateway/c/sci_taucs_chfact.c \
194         sci_gateway/c/sci_taucs_chget.c \
195         sci_gateway/c/sci_taucs_chinfo.c \
196         sci_gateway/c/sci_taucs_chsolve.c \
197         sci_gateway/c/sci_umf_ludel.c sci_gateway/c/sci_umf_lufact.c \
198         sci_gateway/c/sci_umf_luget.c sci_gateway/c/sci_umf_luinfo.c \
199         sci_gateway/c/sci_umf_lusolve.c sci_gateway/c/sci_umfpack.c
200 @UMFPACK_FALSE@am__objects_2 =  \
201 @UMFPACK_FALSE@ src/noumfpack/libsciumfpack_la-noumfpack.lo
202 @UMFPACK_TRUE@am__objects_2 = src/c/libsciumfpack_la-taucs_scilab.lo \
203 @UMFPACK_TRUE@  src/c/libsciumfpack_la-common_umfpack.lo \
204 @UMFPACK_TRUE@  src/c/libsciumfpack_la-with_umfpack.lo
205 @UMFPACK_TRUE@am__objects_3 =  \
206 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-gw_umfpack.lo \
207 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_res_with_prec.lo \
208 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_taucs_chdel.lo \
209 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_taucs_chfact.lo \
210 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_taucs_chget.lo \
211 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_taucs_chinfo.lo \
212 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_taucs_chsolve.lo \
213 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_umf_ludel.lo \
214 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_umf_lufact.lo \
215 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_umf_luget.lo \
216 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_umf_luinfo.lo \
217 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_umf_lusolve.lo \
218 @UMFPACK_TRUE@  sci_gateway/c/libsciumfpack_la-sci_umfpack.lo
219 @UMFPACK_FALSE@am_libsciumfpack_la_OBJECTS = $(am__objects_2)
220 @UMFPACK_TRUE@am_libsciumfpack_la_OBJECTS = $(am__objects_3)
221 libsciumfpack_la_OBJECTS = $(am_libsciumfpack_la_OBJECTS)
222 libsciumfpack_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
223         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
224         $(AM_CFLAGS) $(CFLAGS) $(libsciumfpack_la_LDFLAGS) $(LDFLAGS) \
225         -o $@
226 AM_V_P = $(am__v_P_@AM_V@)
227 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
228 am__v_P_0 = false
229 am__v_P_1 = :
230 AM_V_GEN = $(am__v_GEN_@AM_V@)
231 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
232 am__v_GEN_0 = @echo "  GEN     " $@;
233 am__v_GEN_1 = 
234 AM_V_at = $(am__v_at_@AM_V@)
235 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
236 am__v_at_0 = @
237 am__v_at_1 = 
238 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
239 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
240 am__depfiles_maybe = depfiles
241 am__mv = mv -f
242 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
243         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
244 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
245         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
246         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
247         $(AM_CFLAGS) $(CFLAGS)
248 AM_V_CC = $(am__v_CC_@AM_V@)
249 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
250 am__v_CC_0 = @echo "  CC      " $@;
251 am__v_CC_1 = 
252 CCLD = $(CC)
253 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
254         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
255         $(AM_LDFLAGS) $(LDFLAGS) -o $@
256 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
257 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
258 am__v_CCLD_0 = @echo "  CCLD    " $@;
259 am__v_CCLD_1 = 
260 SOURCES = $(libsciumfpack_algo_la_SOURCES) $(libsciumfpack_la_SOURCES)
261 DIST_SOURCES = $(am__libsciumfpack_algo_la_SOURCES_DIST) \
262         $(am__libsciumfpack_la_SOURCES_DIST)
263 am__can_run_installinfo = \
264   case $$AM_UPDATE_INFO_DIR in \
265     n|no|NO) false;; \
266     *) (install-info --version) >/dev/null 2>&1;; \
267   esac
268 DATA = $(libsciumfpack_la_etc_DATA) $(libsciumfpack_la_root_DATA) \
269         $(libsciumfpack_la_sci_gateway_DATA)
270 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
271 # Read a list of newline-separated strings from the standard input,
272 # and print each of them once, without duplicates.  Input order is
273 # *not* preserved.
274 am__uniquify_input = $(AWK) '\
275   BEGIN { nonempty = 0; } \
276   { items[$$0] = 1; nonempty = 1; } \
277   END { if (nonempty) { for (i in items) print i; }; } \
278 '
279 # Make sure the list of sources is unique.  This is necessary because,
280 # e.g., the same source file might be shared among _SOURCES variables
281 # for different programs/libraries.
282 am__define_uniq_tagged_files = \
283   list='$(am__tagged_files)'; \
284   unique=`for i in $$list; do \
285     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
286   done | $(am__uniquify_input)`
287 ETAGS = etags
288 CTAGS = ctags
289 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
290 ACLOCAL = @ACLOCAL@
291 ALL_LINGUAS = @ALL_LINGUAS@
292 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
293 AMTAR = @AMTAR@
294 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
295 ANT = @ANT@
296 ANTLR = @ANTLR@
297 AR = @AR@
298 ARPACK_LIBS = @ARPACK_LIBS@
299 ASM3 = @ASM3@
300 AUTOCONF = @AUTOCONF@
301 AUTOHEADER = @AUTOHEADER@
302 AUTOMAKE = @AUTOMAKE@
303 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
304 AWK = @AWK@
305 BATIK = @BATIK@
306 BLAS_LIBS = @BLAS_LIBS@
307 CC = @CC@
308 CCACHE = @CCACHE@
309 CCDEPMODE = @CCDEPMODE@
310 CFLAGS = @CFLAGS@
311 CHECKSTYLE = @CHECKSTYLE@
312 COBERTURA = @COBERTURA@
313 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
314 COMMONS_IO = @COMMONS_IO@
315 COMMONS_LOGGING = @COMMONS_LOGGING@
316 CPP = @CPP@
317 CPPFLAGS = @CPPFLAGS@
318 CURL_CFLAGS = @CURL_CFLAGS@
319 CURL_CONFIG = @CURL_CONFIG@
320 CURL_LIBS = @CURL_LIBS@
321 CURL_VERSION = @CURL_VERSION@
322 CXX = @CXX@
323 CXXCPP = @CXXCPP@
324 CXXDEPMODE = @CXXDEPMODE@
325 CXXFLAGS = @CXXFLAGS@
326 CYGPATH_W = @CYGPATH_W@
327 DEFS = @DEFS@
328 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
329 DEPDIR = @DEPDIR@
330 DLLTOOL = @DLLTOOL@
331 DOCBOOK_ROOT = @DOCBOOK_ROOT@
332 DOXYGEN_BIN = @DOXYGEN_BIN@
333 DSYMUTIL = @DSYMUTIL@
334 DUMPBIN = @DUMPBIN@
335 ECHO_C = @ECHO_C@
336 ECHO_N = @ECHO_N@
337 ECHO_T = @ECHO_T@
338 ECJ = @ECJ@
339 EGREP = @EGREP@
340 EXEEXT = @EXEEXT@
341 F77 = @F77@
342 FFLAGS = @FFLAGS@
343 FFTW3_LIB = @FFTW3_LIB@
344 FFTW_ENABLE = @FFTW_ENABLE@
345 FGREP = @FGREP@
346 FLEXDOCK = @FLEXDOCK@
347 FLIBS = @FLIBS@
348 FOP = @FOP@
349 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
350 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
351 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
352 FREEHEP_IO = @FREEHEP_IO@
353 FREEHEP_UTIL = @FREEHEP_UTIL@
354 GENHTML = @GENHTML@
355 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
356 GIWS_BIN = @GIWS_BIN@
357 GLUEGEN2_RT = @GLUEGEN2_RT@
358 GMSGFMT = @GMSGFMT@
359 GMSGFMT_015 = @GMSGFMT_015@
360 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
361 GREP = @GREP@
362 GUI_ENABLE = @GUI_ENABLE@
363 HDF5_CFLAGS = @HDF5_CFLAGS@
364 HDF5_LIBS = @HDF5_LIBS@
365 HELP_ENABLE = @HELP_ENABLE@
366 INSTALL = @INSTALL@
367 INSTALL_DATA = @INSTALL_DATA@
368 INSTALL_PROGRAM = @INSTALL_PROGRAM@
369 INSTALL_SCRIPT = @INSTALL_SCRIPT@
370 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
371 INTLLIBS = @INTLLIBS@
372 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
373 JAR = @JAR@
374 JAVA = @JAVA@
375 JAVAC = @JAVAC@
376 JAVAC_DEBUG = @JAVAC_DEBUG@
377 JAVADOC = @JAVADOC@
378 JAVAH = @JAVAH@
379 JAVASCI_ENABLE = @JAVASCI_ENABLE@
380 JAVA_ENABLE = @JAVA_ENABLE@
381 JAVA_G = @JAVA_G@
382 JAVA_HOME = @JAVA_HOME@
383 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
384 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
385 JDB = @JDB@
386 JEUCLID_CORE = @JEUCLID_CORE@
387 JGRAPHX = @JGRAPHX@
388 JHALL = @JHALL@
389 JLATEXMATH = @JLATEXMATH@
390 JLATEXMATH_FOP = @JLATEXMATH_FOP@
391 JOGL2 = @JOGL2@
392 JROSETTA_API = @JROSETTA_API@
393 JROSETTA_ENGINE = @JROSETTA_ENGINE@
394 JUNIT4 = @JUNIT4@
395 LAPACK_LIBS = @LAPACK_LIBS@
396 LCOV = @LCOV@
397 LD = @LD@
398 LDFLAGS = @LDFLAGS@
399 LIBICONV = @LIBICONV@
400 LIBINTL = @LIBINTL@
401 LIBM = @LIBM@
402 LIBOBJS = @LIBOBJS@
403 LIBS = @LIBS@
404 LIBTOOL = @LIBTOOL@
405 LIPO = @LIPO@
406 LN_S = @LN_S@
407 LOGGING_LEVEL = @LOGGING_LEVEL@
408 LOOKS = @LOOKS@
409 LTLIBICONV = @LTLIBICONV@
410 LTLIBINTL = @LTLIBINTL@
411 LTLIBOBJS = @LTLIBOBJS@
412 MAINT = @MAINT@
413 MAKEINFO = @MAKEINFO@
414 MANIFEST_TOOL = @MANIFEST_TOOL@
415 MATIO_CFLAGS = @MATIO_CFLAGS@
416 MATIO_ENABLE = @MATIO_ENABLE@
417 MATIO_LIBS = @MATIO_LIBS@
418 MKDIR_P = @MKDIR_P@
419 MPI_ENABLE = @MPI_ENABLE@
420 MSGCAT = @MSGCAT@
421 MSGFMT = @MSGFMT@
422 MSGFMT_015 = @MSGFMT_015@
423 MSGMERGE = @MSGMERGE@
424 NM = @NM@
425 NMEDIT = @NMEDIT@
426 OBJDUMP = @OBJDUMP@
427 OBJEXT = @OBJEXT@
428 OCAMLC = @OCAMLC@
429 OCAMLDEP = @OCAMLDEP@
430 OCAMLLEX = @OCAMLLEX@
431 OCAMLOPT = @OCAMLOPT@
432 OCAMLYACC = @OCAMLYACC@
433 OPENMPI_CC = @OPENMPI_CC@
434 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
435 OPENMPI_CXX = @OPENMPI_CXX@
436 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
437 OPENMPI_LIBS = @OPENMPI_LIBS@
438 OPENMP_CFLAGS = @OPENMP_CFLAGS@
439 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
440 OPENMP_ENABLE = @OPENMP_ENABLE@
441 OPENMP_LIBS = @OPENMP_LIBS@
442 OTOOL = @OTOOL@
443 OTOOL64 = @OTOOL64@
444 PACKAGE = @PACKAGE@
445 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
446 PACKAGE_NAME = @PACKAGE_NAME@
447 PACKAGE_STRING = @PACKAGE_STRING@
448 PACKAGE_TARNAME = @PACKAGE_TARNAME@
449 PACKAGE_URL = @PACKAGE_URL@
450 PACKAGE_VERSION = @PACKAGE_VERSION@
451 PATH_SEPARATOR = @PATH_SEPARATOR@
452 PCRE_CFLAGS = @PCRE_CFLAGS@
453 PCRE_CONFIG = @PCRE_CONFIG@
454 PCRE_LIBS = @PCRE_LIBS@
455 PCRE_VERSION = @PCRE_VERSION@
456 PKG_CONFIG = @PKG_CONFIG@
457 POSUB = @POSUB@
458 POW_LIB = @POW_LIB@
459 PYTHON = @PYTHON@
460 RANLIB = @RANLIB@
461 RELOCATABLE = @RELOCATABLE@
462 RT_LIB = @RT_LIB@
463 SAXON = @SAXON@
464 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
465 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
466 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
467 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
468 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
469 SCIRENDERER = @SCIRENDERER@
470 SCIRENDERER_CP = @SCIRENDERER_CP@
471 SCI_CFLAGS = @SCI_CFLAGS@
472 SCI_CXXFLAGS = @SCI_CXXFLAGS@
473 SCI_FFLAGS = @SCI_FFLAGS@
474 SCI_LDFLAGS = @SCI_LDFLAGS@
475 SED = @SED@
476 SET_MAKE = @SET_MAKE@
477 SET_RELOCATABLE = @SET_RELOCATABLE@
478 SHELL = @SHELL@
479 SKINLF = @SKINLF@
480 SPLINT = @SPLINT@
481 STRIP = @STRIP@
482 SWIG_BIN = @SWIG_BIN@
483 SWIG_JAVA = @SWIG_JAVA@
484 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
485 SWIG_SCILAB = @SWIG_SCILAB@
486 TCLTK_LIBS = @TCLTK_LIBS@
487 TCL_INC_PATH = @TCL_INC_PATH@
488 TK_INC_PATH = @TK_INC_PATH@
489 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
490 UMFPACK_ENABLE = @UMFPACK_ENABLE@
491 UMFPACK_LIB = @UMFPACK_LIB@
492 USE_NLS = @USE_NLS@
493 VERSION = @VERSION@
494 WITH_OCAML = @WITH_OCAML@
495 WITH_TKSCI = @WITH_TKSCI@
496 XCOS_ENABLE = @XCOS_ENABLE@
497 XGETTEXT = @XGETTEXT@
498 XGETTEXT_015 = @XGETTEXT_015@
499 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
500 XMKMF = @XMKMF@
501 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
502 XML_APIS_EXT = @XML_APIS_EXT@
503 XML_CONFIG = @XML_CONFIG@
504 XML_FLAGS = @XML_FLAGS@
505 XML_LIBS = @XML_LIBS@
506 XML_VERSION = @XML_VERSION@
507 X_CFLAGS = @X_CFLAGS@
508 X_EXTRA_LIBS = @X_EXTRA_LIBS@
509 X_LIBS = @X_LIBS@
510 X_PRE_LIBS = @X_PRE_LIBS@
511 abs_builddir = @abs_builddir@
512 abs_srcdir = @abs_srcdir@
513 abs_top_builddir = @abs_top_builddir@
514 abs_top_srcdir = @abs_top_srcdir@
515 ac_ct_AR = @ac_ct_AR@
516 ac_ct_CC = @ac_ct_CC@
517 ac_ct_CXX = @ac_ct_CXX@
518 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
519 ac_ct_F77 = @ac_ct_F77@
520 am__include = @am__include@
521 am__leading_dot = @am__leading_dot@
522 am__quote = @am__quote@
523 am__tar = @am__tar@
524 am__untar = @am__untar@
525 bindir = @bindir@
526 build = @build@
527 build_alias = @build_alias@
528 build_cpu = @build_cpu@
529 build_os = @build_os@
530 build_vendor = @build_vendor@
531 builddir = @builddir@
532 cxx_present = @cxx_present@
533 datadir = @datadir@
534 datarootdir = @datarootdir@
535 docdir = @docdir@
536 dvidir = @dvidir@
537 exec_prefix = @exec_prefix@
538 host = @host@
539 host_alias = @host_alias@
540 host_cpu = @host_cpu@
541 host_os = @host_os@
542 host_vendor = @host_vendor@
543 htmldir = @htmldir@
544 includedir = @includedir@
545 infodir = @infodir@
546 install_sh = @install_sh@
547 libdir = @libdir@
548 libexecdir = @libexecdir@
549 localedir = @localedir@
550 localstatedir = @localstatedir@
551 mandir = @mandir@
552 mkdir_p = @mkdir_p@
553 oldincludedir = @oldincludedir@
554 pdfdir = @pdfdir@
555 prefix = @prefix@
556 program_transform_name = @program_transform_name@
557 psdir = @psdir@
558 sbindir = @sbindir@
559 sharedstatedir = @sharedstatedir@
560 srcdir = @srcdir@
561 sysconfdir = @sysconfdir@
562 target_alias = @target_alias@
563 top_build_prefix = @top_build_prefix@
564 top_builddir = @top_builddir@
565 top_srcdir = @top_srcdir@
566 modulename = umfpack
567 pkglib_LTLIBRARIES = libsciumfpack.la
568 @UMFPACK_TRUE@noinst_LTLIBRARIES = libsciumfpack-algo.la
569 libsciumfpack_la_LDFLAGS = $(AM_LDFLAGS) $(am__append_1)
570
571 #### umfpack : Conf files ####
572 libsciumfpack_la_rootdir = $(mydatadir)
573 libsciumfpack_la_root_DATA = \
574 license.txt \
575 TAUCS_license.txt \
576 UMFPACK_license.txt
577
578
579 #### umfpack : init scripts ####
580 libsciumfpack_la_etcdir = $(mydatadir)/etc
581 libsciumfpack_la_etc_DATA = etc/umfpack.quit etc/umfpack.start
582 @UMFPACK_FALSE@UMFPACK_C_SOURCES = src/noumfpack/noumfpack.c
583
584 # Crappy workaround to avoid an undefined symbol while using umfpack features
585 # For some unknown reasons, -lumfpack will not load cholmod & colamd
586 # libsciumfpack_la_LDFLAGS += -lcholmod -lcolamd
587 @UMFPACK_TRUE@UMFPACK_C_SOURCES = src/c/taucs_scilab.c \
588 @UMFPACK_TRUE@src/c/common_umfpack.c \
589 @UMFPACK_TRUE@src/c/with_umfpack.c
590
591 @UMFPACK_TRUE@GATEWAY_C_SOURCES = sci_gateway/c/gw_umfpack.c \
592 @UMFPACK_TRUE@sci_gateway/c/sci_res_with_prec.c \
593 @UMFPACK_TRUE@sci_gateway/c/sci_taucs_chdel.c \
594 @UMFPACK_TRUE@sci_gateway/c/sci_taucs_chfact.c \
595 @UMFPACK_TRUE@sci_gateway/c/sci_taucs_chget.c \
596 @UMFPACK_TRUE@sci_gateway/c/sci_taucs_chinfo.c \
597 @UMFPACK_TRUE@sci_gateway/c/sci_taucs_chsolve.c \
598 @UMFPACK_TRUE@sci_gateway/c/sci_umf_ludel.c \
599 @UMFPACK_TRUE@sci_gateway/c/sci_umf_lufact.c \
600 @UMFPACK_TRUE@sci_gateway/c/sci_umf_luget.c \
601 @UMFPACK_TRUE@sci_gateway/c/sci_umf_luinfo.c \
602 @UMFPACK_TRUE@sci_gateway/c/sci_umf_lusolve.c \
603 @UMFPACK_TRUE@sci_gateway/c/sci_umfpack.c
604
605
606 #### umfpack : gateway declaration ####
607 @UMFPACK_TRUE@libsciumfpack_la_sci_gatewaydir = $(mydatadir)/sci_gateway
608 @UMFPACK_TRUE@libsciumfpack_la_sci_gateway_DATA = sci_gateway/umfpack_gateway.xml
609 @UMFPACK_TRUE@libsciumfpack_algo_la_SOURCES = $(UMFPACK_C_SOURCES)
610 @UMFPACK_FALSE@libsciumfpack_la_SOURCES = $(UMFPACK_C_SOURCES)
611 @UMFPACK_TRUE@libsciumfpack_la_SOURCES = $(GATEWAY_C_SOURCES)
612 @UMFPACK_TRUE@libsciumfpack_algo_la_CPPFLAGS = $(libsciumfpack_la_CPPFLAGS)
613
614 # For the code check (splint)
615 @UMFPACK_TRUE@CHECK_SRC = $(libsciumfpack_la_SOURCES)
616 @UMFPACK_TRUE@INCLUDE_FLAGS = $(libsciumfpack_la_CPPFLAGS)
617 @UMFPACK_TRUE@libsciumfpack_la_LIBADD = libsciumfpack-algo.la
618 @UMFPACK_FALSE@libsciumfpack_la_CPPFLAGS = -I$(top_srcdir)/modules/api_scilab/includes/ \
619 @UMFPACK_FALSE@-I$(top_srcdir)/modules/umfpack/includes/ \
620 @UMFPACK_FALSE@-I$(top_srcdir)/modules/output_stream/includes/ \
621 @UMFPACK_FALSE@-I$(top_srcdir)/modules/localization/includes/ \
622 @UMFPACK_FALSE@$(UMFPACK_CFLAGS) \
623 @UMFPACK_FALSE@$(AM_CPPFLAGS)
624
625 @UMFPACK_TRUE@libsciumfpack_la_CPPFLAGS = -I$(srcdir)/includes/ \
626 @UMFPACK_TRUE@                  -I$(srcdir)/src/c/ \
627 @UMFPACK_TRUE@                  -I$(top_srcdir)/modules/dynamic_link/includes/ \
628 @UMFPACK_TRUE@                  -I$(top_srcdir)/modules/output_stream/includes/ \
629 @UMFPACK_TRUE@                  -I$(top_srcdir)/modules/api_scilab/includes/ \
630 @UMFPACK_TRUE@                  -I$(top_srcdir)/modules/localization/includes/ \
631 @UMFPACK_TRUE@                  -I$(top_srcdir)/modules/mexlib/includes/ \
632 @UMFPACK_TRUE@                  $(UMFPACK_CFLAGS) \
633 @UMFPACK_TRUE@                  $(AM_CPPFLAGS)
634
635
636 # Where all the Scilab stuff is installed (macros, help, ...)
637 mydatadir = $(pkgdatadir)/modules/$(modulename)
638
639 # Set AM_* SCI detected settings
640 AM_CPPFLAGS = $(SCI_CPPFLAGS)
641 AM_CFLAGS = $(SCI_CFLAGS)
642 AM_CXXFLAGS = $(SCI_CXXFLAGS)
643 # append includes to AM_FFLAGS to manage fortran includes
644 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
645
646 # Tag shared libraries with the Scilab version
647 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
648
649 # splint options
650 SPLINT_OPTIONS = -weak -booltype BOOL
651
652 ########################### JAVA ######################################
653 #### We are delegating java compilation to ant... Thanks to that
654 #### the procedure will be the same with Microsoft Windows (C)
655 #### and Linux/Unix
656 #######################################################################
657 TARGETS_ALL = $(am__append_2)
658
659 ################ MACROS ######################
660 # Rule to build a macro
661 # NOT USED  AT THE MOMENT
662 SUFFIXES = .sci 
663
664 ########### INSTALL DOCUMENTATION ###################
665
666 # Install documentation files into the right target
667 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
668 # automake needs the html files to be present which is not the case when
669 # we are building Scilab
670
671 # Where it should be installed
672 pkgdocdir = $(mydatadir)
673
674 # What is the mask of the help source
675 DOCMASKXML = *.xml
676
677 # What is the mask of the MathML sources
678 DOCMASKMML = *.mml
679
680 ########### INSTALL DATA ###################
681 # Install macros, help & demos
682 # Where it should be installed
683 pkgmacrosdir = $(mydatadir)
684 # Which directory we process
685 MACRODIRS = macros/
686 # Mask of the Scilab sources macros
687 MACROMASK = *.sci
688 # Mask of the Scilab executable sources macros
689 MACROBUILDMASK = *.sce
690 # Mask of the Scilab compiled macros
691 MACROBINMASK = *.bin
692 # List of the standard directory for tests
693 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
694 # Where the demos should be installed
695 pkgdemosdir = $(mydatadir)
696 # List of the standard directory for demos
697 DEMOS_DIR = demos
698 # List of the standard directory for examples
699 EXAMPLES_DIR = examples
700 # Where to export JAVA archives (.jar)
701 JARDIR = jar/
702 # JAR files mask
703 JARMASK = *.jar
704 # Chapter file 
705 HELP_CHAPTERDIR = help/
706 HELP_CHAPTERFILE = addchapter.sce
707 HELP_CHAPTERLANG = en_US fr_FR pt_BR
708 all: all-am
709
710 .SUFFIXES:
711 .SUFFIXES: .sci .bin .c .lo .o .obj
712 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
713         @for dep in $?; do \
714           case '$(am__configure_deps)' in \
715             *$$dep*) \
716               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
717                 && { if test -f $@; then exit 0; else break; fi; }; \
718               exit 1;; \
719           esac; \
720         done; \
721         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/umfpack/Makefile'; \
722         $(am__cd) $(top_srcdir) && \
723           $(AUTOMAKE) --foreign modules/umfpack/Makefile
724 .PRECIOUS: Makefile
725 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
726         @case '$?' in \
727           *config.status*) \
728             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
729           *) \
730             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
731             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
732         esac;
733 $(top_srcdir)/Makefile.incl.am:
734
735 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
736         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
737
738 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
739         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
740 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
741         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
742 $(am__aclocal_m4_deps):
743
744 clean-noinstLTLIBRARIES:
745         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
746         @list='$(noinst_LTLIBRARIES)'; \
747         locs=`for p in $$list; do echo $$p; done | \
748               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
749               sort -u`; \
750         test -z "$$locs" || { \
751           echo rm -f $${locs}; \
752           rm -f $${locs}; \
753         }
754
755 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
756         @$(NORMAL_INSTALL)
757         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
758         list2=; for p in $$list; do \
759           if test -f $$p; then \
760             list2="$$list2 $$p"; \
761           else :; fi; \
762         done; \
763         test -z "$$list2" || { \
764           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
765           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
766           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
767           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
768         }
769
770 uninstall-pkglibLTLIBRARIES:
771         @$(NORMAL_UNINSTALL)
772         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
773         for p in $$list; do \
774           $(am__strip_dir) \
775           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
776           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
777         done
778
779 clean-pkglibLTLIBRARIES:
780         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
781         @list='$(pkglib_LTLIBRARIES)'; \
782         locs=`for p in $$list; do echo $$p; done | \
783               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
784               sort -u`; \
785         test -z "$$locs" || { \
786           echo rm -f $${locs}; \
787           rm -f $${locs}; \
788         }
789 src/noumfpack/$(am__dirstamp):
790         @$(MKDIR_P) src/noumfpack
791         @: > src/noumfpack/$(am__dirstamp)
792 src/noumfpack/$(DEPDIR)/$(am__dirstamp):
793         @$(MKDIR_P) src/noumfpack/$(DEPDIR)
794         @: > src/noumfpack/$(DEPDIR)/$(am__dirstamp)
795 src/noumfpack/libsciumfpack_algo_la-noumfpack.lo:  \
796         src/noumfpack/$(am__dirstamp) \
797         src/noumfpack/$(DEPDIR)/$(am__dirstamp)
798 src/c/$(am__dirstamp):
799         @$(MKDIR_P) src/c
800         @: > src/c/$(am__dirstamp)
801 src/c/$(DEPDIR)/$(am__dirstamp):
802         @$(MKDIR_P) src/c/$(DEPDIR)
803         @: > src/c/$(DEPDIR)/$(am__dirstamp)
804 src/c/libsciumfpack_algo_la-taucs_scilab.lo: src/c/$(am__dirstamp) \
805         src/c/$(DEPDIR)/$(am__dirstamp)
806 src/c/libsciumfpack_algo_la-common_umfpack.lo: src/c/$(am__dirstamp) \
807         src/c/$(DEPDIR)/$(am__dirstamp)
808 src/c/libsciumfpack_algo_la-with_umfpack.lo: src/c/$(am__dirstamp) \
809         src/c/$(DEPDIR)/$(am__dirstamp)
810
811 libsciumfpack-algo.la: $(libsciumfpack_algo_la_OBJECTS) $(libsciumfpack_algo_la_DEPENDENCIES) $(EXTRA_libsciumfpack_algo_la_DEPENDENCIES) 
812         $(AM_V_CCLD)$(LINK) $(am_libsciumfpack_algo_la_rpath) $(libsciumfpack_algo_la_OBJECTS) $(libsciumfpack_algo_la_LIBADD) $(LIBS)
813 src/noumfpack/libsciumfpack_la-noumfpack.lo:  \
814         src/noumfpack/$(am__dirstamp) \
815         src/noumfpack/$(DEPDIR)/$(am__dirstamp)
816 src/c/libsciumfpack_la-taucs_scilab.lo: src/c/$(am__dirstamp) \
817         src/c/$(DEPDIR)/$(am__dirstamp)
818 src/c/libsciumfpack_la-common_umfpack.lo: src/c/$(am__dirstamp) \
819         src/c/$(DEPDIR)/$(am__dirstamp)
820 src/c/libsciumfpack_la-with_umfpack.lo: src/c/$(am__dirstamp) \
821         src/c/$(DEPDIR)/$(am__dirstamp)
822 sci_gateway/c/$(am__dirstamp):
823         @$(MKDIR_P) sci_gateway/c
824         @: > sci_gateway/c/$(am__dirstamp)
825 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
826         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
827         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
828 sci_gateway/c/libsciumfpack_la-gw_umfpack.lo:  \
829         sci_gateway/c/$(am__dirstamp) \
830         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
831 sci_gateway/c/libsciumfpack_la-sci_res_with_prec.lo:  \
832         sci_gateway/c/$(am__dirstamp) \
833         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
834 sci_gateway/c/libsciumfpack_la-sci_taucs_chdel.lo:  \
835         sci_gateway/c/$(am__dirstamp) \
836         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
837 sci_gateway/c/libsciumfpack_la-sci_taucs_chfact.lo:  \
838         sci_gateway/c/$(am__dirstamp) \
839         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
840 sci_gateway/c/libsciumfpack_la-sci_taucs_chget.lo:  \
841         sci_gateway/c/$(am__dirstamp) \
842         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
843 sci_gateway/c/libsciumfpack_la-sci_taucs_chinfo.lo:  \
844         sci_gateway/c/$(am__dirstamp) \
845         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
846 sci_gateway/c/libsciumfpack_la-sci_taucs_chsolve.lo:  \
847         sci_gateway/c/$(am__dirstamp) \
848         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
849 sci_gateway/c/libsciumfpack_la-sci_umf_ludel.lo:  \
850         sci_gateway/c/$(am__dirstamp) \
851         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
852 sci_gateway/c/libsciumfpack_la-sci_umf_lufact.lo:  \
853         sci_gateway/c/$(am__dirstamp) \
854         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
855 sci_gateway/c/libsciumfpack_la-sci_umf_luget.lo:  \
856         sci_gateway/c/$(am__dirstamp) \
857         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
858 sci_gateway/c/libsciumfpack_la-sci_umf_luinfo.lo:  \
859         sci_gateway/c/$(am__dirstamp) \
860         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
861 sci_gateway/c/libsciumfpack_la-sci_umf_lusolve.lo:  \
862         sci_gateway/c/$(am__dirstamp) \
863         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
864 sci_gateway/c/libsciumfpack_la-sci_umfpack.lo:  \
865         sci_gateway/c/$(am__dirstamp) \
866         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
867
868 libsciumfpack.la: $(libsciumfpack_la_OBJECTS) $(libsciumfpack_la_DEPENDENCIES) $(EXTRA_libsciumfpack_la_DEPENDENCIES) 
869         $(AM_V_CCLD)$(libsciumfpack_la_LINK) -rpath $(pkglibdir) $(libsciumfpack_la_OBJECTS) $(libsciumfpack_la_LIBADD) $(LIBS)
870
871 mostlyclean-compile:
872         -rm -f *.$(OBJEXT)
873         -rm -f sci_gateway/c/*.$(OBJEXT)
874         -rm -f sci_gateway/c/*.lo
875         -rm -f src/c/*.$(OBJEXT)
876         -rm -f src/c/*.lo
877         -rm -f src/noumfpack/*.$(OBJEXT)
878         -rm -f src/noumfpack/*.lo
879
880 distclean-compile:
881         -rm -f *.tab.c
882
883 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-gw_umfpack.Plo@am__quote@
884 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_res_with_prec.Plo@am__quote@
885 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chdel.Plo@am__quote@
886 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chfact.Plo@am__quote@
887 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chget.Plo@am__quote@
888 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chinfo.Plo@am__quote@
889 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chsolve.Plo@am__quote@
890 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_ludel.Plo@am__quote@
891 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_lufact.Plo@am__quote@
892 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_luget.Plo@am__quote@
893 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_luinfo.Plo@am__quote@
894 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_lusolve.Plo@am__quote@
895 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umfpack.Plo@am__quote@
896 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciumfpack_algo_la-common_umfpack.Plo@am__quote@
897 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciumfpack_algo_la-taucs_scilab.Plo@am__quote@
898 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciumfpack_algo_la-with_umfpack.Plo@am__quote@
899 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciumfpack_la-common_umfpack.Plo@am__quote@
900 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciumfpack_la-taucs_scilab.Plo@am__quote@
901 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciumfpack_la-with_umfpack.Plo@am__quote@
902 @AMDEP_TRUE@@am__include@ @am__quote@src/noumfpack/$(DEPDIR)/libsciumfpack_algo_la-noumfpack.Plo@am__quote@
903 @AMDEP_TRUE@@am__include@ @am__quote@src/noumfpack/$(DEPDIR)/libsciumfpack_la-noumfpack.Plo@am__quote@
904
905 .c.o:
906 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
907 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
908 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
909 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
910 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
911 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
912
913 .c.obj:
914 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
915 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
916 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
917 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
918 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
919 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
920
921 .c.lo:
922 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
923 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
924 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
925 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
926 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
927 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
928
929 src/noumfpack/libsciumfpack_algo_la-noumfpack.lo: src/noumfpack/noumfpack.c
930 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/noumfpack/libsciumfpack_algo_la-noumfpack.lo -MD -MP -MF src/noumfpack/$(DEPDIR)/libsciumfpack_algo_la-noumfpack.Tpo -c -o src/noumfpack/libsciumfpack_algo_la-noumfpack.lo `test -f 'src/noumfpack/noumfpack.c' || echo '$(srcdir)/'`src/noumfpack/noumfpack.c
931 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/noumfpack/$(DEPDIR)/libsciumfpack_algo_la-noumfpack.Tpo src/noumfpack/$(DEPDIR)/libsciumfpack_algo_la-noumfpack.Plo
932 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/noumfpack/noumfpack.c' object='src/noumfpack/libsciumfpack_algo_la-noumfpack.lo' libtool=yes @AMDEPBACKSLASH@
933 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
934 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/noumfpack/libsciumfpack_algo_la-noumfpack.lo `test -f 'src/noumfpack/noumfpack.c' || echo '$(srcdir)/'`src/noumfpack/noumfpack.c
935
936 src/c/libsciumfpack_algo_la-taucs_scilab.lo: src/c/taucs_scilab.c
937 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciumfpack_algo_la-taucs_scilab.lo -MD -MP -MF src/c/$(DEPDIR)/libsciumfpack_algo_la-taucs_scilab.Tpo -c -o src/c/libsciumfpack_algo_la-taucs_scilab.lo `test -f 'src/c/taucs_scilab.c' || echo '$(srcdir)/'`src/c/taucs_scilab.c
938 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciumfpack_algo_la-taucs_scilab.Tpo src/c/$(DEPDIR)/libsciumfpack_algo_la-taucs_scilab.Plo
939 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/taucs_scilab.c' object='src/c/libsciumfpack_algo_la-taucs_scilab.lo' libtool=yes @AMDEPBACKSLASH@
940 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
941 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciumfpack_algo_la-taucs_scilab.lo `test -f 'src/c/taucs_scilab.c' || echo '$(srcdir)/'`src/c/taucs_scilab.c
942
943 src/c/libsciumfpack_algo_la-common_umfpack.lo: src/c/common_umfpack.c
944 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciumfpack_algo_la-common_umfpack.lo -MD -MP -MF src/c/$(DEPDIR)/libsciumfpack_algo_la-common_umfpack.Tpo -c -o src/c/libsciumfpack_algo_la-common_umfpack.lo `test -f 'src/c/common_umfpack.c' || echo '$(srcdir)/'`src/c/common_umfpack.c
945 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciumfpack_algo_la-common_umfpack.Tpo src/c/$(DEPDIR)/libsciumfpack_algo_la-common_umfpack.Plo
946 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/common_umfpack.c' object='src/c/libsciumfpack_algo_la-common_umfpack.lo' libtool=yes @AMDEPBACKSLASH@
947 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
948 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciumfpack_algo_la-common_umfpack.lo `test -f 'src/c/common_umfpack.c' || echo '$(srcdir)/'`src/c/common_umfpack.c
949
950 src/c/libsciumfpack_algo_la-with_umfpack.lo: src/c/with_umfpack.c
951 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciumfpack_algo_la-with_umfpack.lo -MD -MP -MF src/c/$(DEPDIR)/libsciumfpack_algo_la-with_umfpack.Tpo -c -o src/c/libsciumfpack_algo_la-with_umfpack.lo `test -f 'src/c/with_umfpack.c' || echo '$(srcdir)/'`src/c/with_umfpack.c
952 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciumfpack_algo_la-with_umfpack.Tpo src/c/$(DEPDIR)/libsciumfpack_algo_la-with_umfpack.Plo
953 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/with_umfpack.c' object='src/c/libsciumfpack_algo_la-with_umfpack.lo' libtool=yes @AMDEPBACKSLASH@
954 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
955 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciumfpack_algo_la-with_umfpack.lo `test -f 'src/c/with_umfpack.c' || echo '$(srcdir)/'`src/c/with_umfpack.c
956
957 src/noumfpack/libsciumfpack_la-noumfpack.lo: src/noumfpack/noumfpack.c
958 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/noumfpack/libsciumfpack_la-noumfpack.lo -MD -MP -MF src/noumfpack/$(DEPDIR)/libsciumfpack_la-noumfpack.Tpo -c -o src/noumfpack/libsciumfpack_la-noumfpack.lo `test -f 'src/noumfpack/noumfpack.c' || echo '$(srcdir)/'`src/noumfpack/noumfpack.c
959 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/noumfpack/$(DEPDIR)/libsciumfpack_la-noumfpack.Tpo src/noumfpack/$(DEPDIR)/libsciumfpack_la-noumfpack.Plo
960 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/noumfpack/noumfpack.c' object='src/noumfpack/libsciumfpack_la-noumfpack.lo' libtool=yes @AMDEPBACKSLASH@
961 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
962 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/noumfpack/libsciumfpack_la-noumfpack.lo `test -f 'src/noumfpack/noumfpack.c' || echo '$(srcdir)/'`src/noumfpack/noumfpack.c
963
964 src/c/libsciumfpack_la-taucs_scilab.lo: src/c/taucs_scilab.c
965 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciumfpack_la-taucs_scilab.lo -MD -MP -MF src/c/$(DEPDIR)/libsciumfpack_la-taucs_scilab.Tpo -c -o src/c/libsciumfpack_la-taucs_scilab.lo `test -f 'src/c/taucs_scilab.c' || echo '$(srcdir)/'`src/c/taucs_scilab.c
966 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciumfpack_la-taucs_scilab.Tpo src/c/$(DEPDIR)/libsciumfpack_la-taucs_scilab.Plo
967 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/taucs_scilab.c' object='src/c/libsciumfpack_la-taucs_scilab.lo' libtool=yes @AMDEPBACKSLASH@
968 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
969 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciumfpack_la-taucs_scilab.lo `test -f 'src/c/taucs_scilab.c' || echo '$(srcdir)/'`src/c/taucs_scilab.c
970
971 src/c/libsciumfpack_la-common_umfpack.lo: src/c/common_umfpack.c
972 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciumfpack_la-common_umfpack.lo -MD -MP -MF src/c/$(DEPDIR)/libsciumfpack_la-common_umfpack.Tpo -c -o src/c/libsciumfpack_la-common_umfpack.lo `test -f 'src/c/common_umfpack.c' || echo '$(srcdir)/'`src/c/common_umfpack.c
973 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciumfpack_la-common_umfpack.Tpo src/c/$(DEPDIR)/libsciumfpack_la-common_umfpack.Plo
974 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/common_umfpack.c' object='src/c/libsciumfpack_la-common_umfpack.lo' libtool=yes @AMDEPBACKSLASH@
975 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
976 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciumfpack_la-common_umfpack.lo `test -f 'src/c/common_umfpack.c' || echo '$(srcdir)/'`src/c/common_umfpack.c
977
978 src/c/libsciumfpack_la-with_umfpack.lo: src/c/with_umfpack.c
979 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciumfpack_la-with_umfpack.lo -MD -MP -MF src/c/$(DEPDIR)/libsciumfpack_la-with_umfpack.Tpo -c -o src/c/libsciumfpack_la-with_umfpack.lo `test -f 'src/c/with_umfpack.c' || echo '$(srcdir)/'`src/c/with_umfpack.c
980 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciumfpack_la-with_umfpack.Tpo src/c/$(DEPDIR)/libsciumfpack_la-with_umfpack.Plo
981 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/with_umfpack.c' object='src/c/libsciumfpack_la-with_umfpack.lo' libtool=yes @AMDEPBACKSLASH@
982 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
983 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciumfpack_la-with_umfpack.lo `test -f 'src/c/with_umfpack.c' || echo '$(srcdir)/'`src/c/with_umfpack.c
984
985 sci_gateway/c/libsciumfpack_la-gw_umfpack.lo: sci_gateway/c/gw_umfpack.c
986 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-gw_umfpack.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-gw_umfpack.Tpo -c -o sci_gateway/c/libsciumfpack_la-gw_umfpack.lo `test -f 'sci_gateway/c/gw_umfpack.c' || echo '$(srcdir)/'`sci_gateway/c/gw_umfpack.c
987 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-gw_umfpack.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-gw_umfpack.Plo
988 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_umfpack.c' object='sci_gateway/c/libsciumfpack_la-gw_umfpack.lo' libtool=yes @AMDEPBACKSLASH@
989 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
990 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-gw_umfpack.lo `test -f 'sci_gateway/c/gw_umfpack.c' || echo '$(srcdir)/'`sci_gateway/c/gw_umfpack.c
991
992 sci_gateway/c/libsciumfpack_la-sci_res_with_prec.lo: sci_gateway/c/sci_res_with_prec.c
993 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_res_with_prec.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_res_with_prec.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_res_with_prec.lo `test -f 'sci_gateway/c/sci_res_with_prec.c' || echo '$(srcdir)/'`sci_gateway/c/sci_res_with_prec.c
994 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_res_with_prec.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_res_with_prec.Plo
995 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_res_with_prec.c' object='sci_gateway/c/libsciumfpack_la-sci_res_with_prec.lo' libtool=yes @AMDEPBACKSLASH@
996 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
997 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_res_with_prec.lo `test -f 'sci_gateway/c/sci_res_with_prec.c' || echo '$(srcdir)/'`sci_gateway/c/sci_res_with_prec.c
998
999 sci_gateway/c/libsciumfpack_la-sci_taucs_chdel.lo: sci_gateway/c/sci_taucs_chdel.c
1000 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_taucs_chdel.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chdel.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chdel.lo `test -f 'sci_gateway/c/sci_taucs_chdel.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chdel.c
1001 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chdel.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chdel.Plo
1002 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_taucs_chdel.c' object='sci_gateway/c/libsciumfpack_la-sci_taucs_chdel.lo' libtool=yes @AMDEPBACKSLASH@
1003 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1004 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chdel.lo `test -f 'sci_gateway/c/sci_taucs_chdel.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chdel.c
1005
1006 sci_gateway/c/libsciumfpack_la-sci_taucs_chfact.lo: sci_gateway/c/sci_taucs_chfact.c
1007 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_taucs_chfact.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chfact.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chfact.lo `test -f 'sci_gateway/c/sci_taucs_chfact.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chfact.c
1008 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chfact.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chfact.Plo
1009 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_taucs_chfact.c' object='sci_gateway/c/libsciumfpack_la-sci_taucs_chfact.lo' libtool=yes @AMDEPBACKSLASH@
1010 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1011 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chfact.lo `test -f 'sci_gateway/c/sci_taucs_chfact.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chfact.c
1012
1013 sci_gateway/c/libsciumfpack_la-sci_taucs_chget.lo: sci_gateway/c/sci_taucs_chget.c
1014 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_taucs_chget.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chget.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chget.lo `test -f 'sci_gateway/c/sci_taucs_chget.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chget.c
1015 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chget.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chget.Plo
1016 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_taucs_chget.c' object='sci_gateway/c/libsciumfpack_la-sci_taucs_chget.lo' libtool=yes @AMDEPBACKSLASH@
1017 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1018 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chget.lo `test -f 'sci_gateway/c/sci_taucs_chget.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chget.c
1019
1020 sci_gateway/c/libsciumfpack_la-sci_taucs_chinfo.lo: sci_gateway/c/sci_taucs_chinfo.c
1021 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_taucs_chinfo.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chinfo.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chinfo.lo `test -f 'sci_gateway/c/sci_taucs_chinfo.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chinfo.c
1022 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chinfo.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chinfo.Plo
1023 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_taucs_chinfo.c' object='sci_gateway/c/libsciumfpack_la-sci_taucs_chinfo.lo' libtool=yes @AMDEPBACKSLASH@
1024 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1025 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chinfo.lo `test -f 'sci_gateway/c/sci_taucs_chinfo.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chinfo.c
1026
1027 sci_gateway/c/libsciumfpack_la-sci_taucs_chsolve.lo: sci_gateway/c/sci_taucs_chsolve.c
1028 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_taucs_chsolve.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chsolve.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chsolve.lo `test -f 'sci_gateway/c/sci_taucs_chsolve.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chsolve.c
1029 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chsolve.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_taucs_chsolve.Plo
1030 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_taucs_chsolve.c' object='sci_gateway/c/libsciumfpack_la-sci_taucs_chsolve.lo' libtool=yes @AMDEPBACKSLASH@
1031 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1032 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_taucs_chsolve.lo `test -f 'sci_gateway/c/sci_taucs_chsolve.c' || echo '$(srcdir)/'`sci_gateway/c/sci_taucs_chsolve.c
1033
1034 sci_gateway/c/libsciumfpack_la-sci_umf_ludel.lo: sci_gateway/c/sci_umf_ludel.c
1035 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_umf_ludel.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_ludel.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_umf_ludel.lo `test -f 'sci_gateway/c/sci_umf_ludel.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_ludel.c
1036 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_ludel.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_ludel.Plo
1037 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_umf_ludel.c' object='sci_gateway/c/libsciumfpack_la-sci_umf_ludel.lo' libtool=yes @AMDEPBACKSLASH@
1038 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1039 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_umf_ludel.lo `test -f 'sci_gateway/c/sci_umf_ludel.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_ludel.c
1040
1041 sci_gateway/c/libsciumfpack_la-sci_umf_lufact.lo: sci_gateway/c/sci_umf_lufact.c
1042 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_umf_lufact.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_lufact.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_umf_lufact.lo `test -f 'sci_gateway/c/sci_umf_lufact.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_lufact.c
1043 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_lufact.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_lufact.Plo
1044 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_umf_lufact.c' object='sci_gateway/c/libsciumfpack_la-sci_umf_lufact.lo' libtool=yes @AMDEPBACKSLASH@
1045 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1046 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_umf_lufact.lo `test -f 'sci_gateway/c/sci_umf_lufact.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_lufact.c
1047
1048 sci_gateway/c/libsciumfpack_la-sci_umf_luget.lo: sci_gateway/c/sci_umf_luget.c
1049 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_umf_luget.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_luget.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_umf_luget.lo `test -f 'sci_gateway/c/sci_umf_luget.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_luget.c
1050 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_luget.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_luget.Plo
1051 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_umf_luget.c' object='sci_gateway/c/libsciumfpack_la-sci_umf_luget.lo' libtool=yes @AMDEPBACKSLASH@
1052 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1053 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_umf_luget.lo `test -f 'sci_gateway/c/sci_umf_luget.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_luget.c
1054
1055 sci_gateway/c/libsciumfpack_la-sci_umf_luinfo.lo: sci_gateway/c/sci_umf_luinfo.c
1056 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_umf_luinfo.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_luinfo.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_umf_luinfo.lo `test -f 'sci_gateway/c/sci_umf_luinfo.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_luinfo.c
1057 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_luinfo.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_luinfo.Plo
1058 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_umf_luinfo.c' object='sci_gateway/c/libsciumfpack_la-sci_umf_luinfo.lo' libtool=yes @AMDEPBACKSLASH@
1059 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1060 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_umf_luinfo.lo `test -f 'sci_gateway/c/sci_umf_luinfo.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_luinfo.c
1061
1062 sci_gateway/c/libsciumfpack_la-sci_umf_lusolve.lo: sci_gateway/c/sci_umf_lusolve.c
1063 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_umf_lusolve.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_lusolve.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_umf_lusolve.lo `test -f 'sci_gateway/c/sci_umf_lusolve.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_lusolve.c
1064 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_lusolve.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umf_lusolve.Plo
1065 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_umf_lusolve.c' object='sci_gateway/c/libsciumfpack_la-sci_umf_lusolve.lo' libtool=yes @AMDEPBACKSLASH@
1066 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1067 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_umf_lusolve.lo `test -f 'sci_gateway/c/sci_umf_lusolve.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umf_lusolve.c
1068
1069 sci_gateway/c/libsciumfpack_la-sci_umfpack.lo: sci_gateway/c/sci_umfpack.c
1070 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciumfpack_la-sci_umfpack.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umfpack.Tpo -c -o sci_gateway/c/libsciumfpack_la-sci_umfpack.lo `test -f 'sci_gateway/c/sci_umfpack.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umfpack.c
1071 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umfpack.Tpo sci_gateway/c/$(DEPDIR)/libsciumfpack_la-sci_umfpack.Plo
1072 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_umfpack.c' object='sci_gateway/c/libsciumfpack_la-sci_umfpack.lo' libtool=yes @AMDEPBACKSLASH@
1073 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1074 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciumfpack_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciumfpack_la-sci_umfpack.lo `test -f 'sci_gateway/c/sci_umfpack.c' || echo '$(srcdir)/'`sci_gateway/c/sci_umfpack.c
1075
1076 mostlyclean-libtool:
1077         -rm -f *.lo
1078
1079 clean-libtool:
1080         -rm -rf .libs _libs
1081         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
1082         -rm -rf src/c/.libs src/c/_libs
1083         -rm -rf src/noumfpack/.libs src/noumfpack/_libs
1084 install-libsciumfpack_la_etcDATA: $(libsciumfpack_la_etc_DATA)
1085         @$(NORMAL_INSTALL)
1086         @list='$(libsciumfpack_la_etc_DATA)'; test -n "$(libsciumfpack_la_etcdir)" || list=; \
1087         if test -n "$$list"; then \
1088           echo " $(MKDIR_P) '$(DESTDIR)$(libsciumfpack_la_etcdir)'"; \
1089           $(MKDIR_P) "$(DESTDIR)$(libsciumfpack_la_etcdir)" || exit 1; \
1090         fi; \
1091         for p in $$list; do \
1092           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1093           echo "$$d$$p"; \
1094         done | $(am__base_list) | \
1095         while read files; do \
1096           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciumfpack_la_etcdir)'"; \
1097           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciumfpack_la_etcdir)" || exit $$?; \
1098         done
1099
1100 uninstall-libsciumfpack_la_etcDATA:
1101         @$(NORMAL_UNINSTALL)
1102         @list='$(libsciumfpack_la_etc_DATA)'; test -n "$(libsciumfpack_la_etcdir)" || list=; \
1103         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1104         dir='$(DESTDIR)$(libsciumfpack_la_etcdir)'; $(am__uninstall_files_from_dir)
1105 install-libsciumfpack_la_rootDATA: $(libsciumfpack_la_root_DATA)
1106         @$(NORMAL_INSTALL)
1107         @list='$(libsciumfpack_la_root_DATA)'; test -n "$(libsciumfpack_la_rootdir)" || list=; \
1108         if test -n "$$list"; then \
1109           echo " $(MKDIR_P) '$(DESTDIR)$(libsciumfpack_la_rootdir)'"; \
1110           $(MKDIR_P) "$(DESTDIR)$(libsciumfpack_la_rootdir)" || exit 1; \
1111         fi; \
1112         for p in $$list; do \
1113           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1114           echo "$$d$$p"; \
1115         done | $(am__base_list) | \
1116         while read files; do \
1117           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciumfpack_la_rootdir)'"; \
1118           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciumfpack_la_rootdir)" || exit $$?; \
1119         done
1120
1121 uninstall-libsciumfpack_la_rootDATA:
1122         @$(NORMAL_UNINSTALL)
1123         @list='$(libsciumfpack_la_root_DATA)'; test -n "$(libsciumfpack_la_rootdir)" || list=; \
1124         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1125         dir='$(DESTDIR)$(libsciumfpack_la_rootdir)'; $(am__uninstall_files_from_dir)
1126 install-libsciumfpack_la_sci_gatewayDATA: $(libsciumfpack_la_sci_gateway_DATA)
1127         @$(NORMAL_INSTALL)
1128         @list='$(libsciumfpack_la_sci_gateway_DATA)'; test -n "$(libsciumfpack_la_sci_gatewaydir)" || list=; \
1129         if test -n "$$list"; then \
1130           echo " $(MKDIR_P) '$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)'"; \
1131           $(MKDIR_P) "$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)" || exit 1; \
1132         fi; \
1133         for p in $$list; do \
1134           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1135           echo "$$d$$p"; \
1136         done | $(am__base_list) | \
1137         while read files; do \
1138           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)'"; \
1139           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)" || exit $$?; \
1140         done
1141
1142 uninstall-libsciumfpack_la_sci_gatewayDATA:
1143         @$(NORMAL_UNINSTALL)
1144         @list='$(libsciumfpack_la_sci_gateway_DATA)'; test -n "$(libsciumfpack_la_sci_gatewaydir)" || list=; \
1145         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1146         dir='$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1147
1148 ID: $(am__tagged_files)
1149         $(am__define_uniq_tagged_files); mkid -fID $$unique
1150 tags: tags-am
1151 TAGS: tags
1152
1153 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1154         set x; \
1155         here=`pwd`; \
1156         $(am__define_uniq_tagged_files); \
1157         shift; \
1158         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1159           test -n "$$unique" || unique=$$empty_fix; \
1160           if test $$# -gt 0; then \
1161             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1162               "$$@" $$unique; \
1163           else \
1164             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1165               $$unique; \
1166           fi; \
1167         fi
1168 ctags: ctags-am
1169
1170 CTAGS: ctags
1171 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1172         $(am__define_uniq_tagged_files); \
1173         test -z "$(CTAGS_ARGS)$$unique" \
1174           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1175              $$unique
1176
1177 GTAGS:
1178         here=`$(am__cd) $(top_builddir) && pwd` \
1179           && $(am__cd) $(top_srcdir) \
1180           && gtags -i $(GTAGS_ARGS) "$$here"
1181 cscopelist: cscopelist-am
1182
1183 cscopelist-am: $(am__tagged_files)
1184         list='$(am__tagged_files)'; \
1185         case "$(srcdir)" in \
1186           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1187           *) sdir=$(subdir)/$(srcdir) ;; \
1188         esac; \
1189         for i in $$list; do \
1190           if test -f "$$i"; then \
1191             echo "$(subdir)/$$i"; \
1192           else \
1193             echo "$$sdir/$$i"; \
1194           fi; \
1195         done >> $(top_builddir)/cscope.files
1196
1197 distclean-tags:
1198         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1199
1200 distdir: $(DISTFILES)
1201         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1202         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1203         list='$(DISTFILES)'; \
1204           dist_files=`for file in $$list; do echo $$file; done | \
1205           sed -e "s|^$$srcdirstrip/||;t" \
1206               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1207         case $$dist_files in \
1208           */*) $(MKDIR_P) `echo "$$dist_files" | \
1209                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1210                            sort -u` ;; \
1211         esac; \
1212         for file in $$dist_files; do \
1213           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1214           if test -d $$d/$$file; then \
1215             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1216             if test -d "$(distdir)/$$file"; then \
1217               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1218             fi; \
1219             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1220               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1221               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1222             fi; \
1223             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1224           else \
1225             test -f "$(distdir)/$$file" \
1226             || cp -p $$d/$$file "$(distdir)/$$file" \
1227             || exit 1; \
1228           fi; \
1229         done
1230 check-am: all-am
1231         $(MAKE) $(AM_MAKEFLAGS) check-local
1232 check: check-am
1233 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1234 installdirs:
1235         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciumfpack_la_etcdir)" "$(DESTDIR)$(libsciumfpack_la_rootdir)" "$(DESTDIR)$(libsciumfpack_la_sci_gatewaydir)"; do \
1236           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1237         done
1238 install: install-am
1239 install-exec: install-exec-am
1240 install-data: install-data-am
1241 uninstall: uninstall-am
1242
1243 install-am: all-am
1244         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1245
1246 installcheck: installcheck-am
1247 install-strip:
1248         if test -z '$(STRIP)'; then \
1249           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1250             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1251               install; \
1252         else \
1253           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1254             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1255             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1256         fi
1257 mostlyclean-generic:
1258
1259 clean-generic:
1260
1261 distclean-generic:
1262         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1263         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1264         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1265         -rm -f sci_gateway/c/$(am__dirstamp)
1266         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1267         -rm -f src/c/$(am__dirstamp)
1268         -rm -f src/noumfpack/$(DEPDIR)/$(am__dirstamp)
1269         -rm -f src/noumfpack/$(am__dirstamp)
1270
1271 maintainer-clean-generic:
1272         @echo "This command is intended for maintainers to use"
1273         @echo "it deletes files that may require special tools to rebuild."
1274 clean: clean-am
1275
1276 clean-am: clean-generic clean-libtool clean-local \
1277         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1278
1279 distclean: distclean-am
1280         -rm -rf sci_gateway/c/$(DEPDIR) src/c/$(DEPDIR) src/noumfpack/$(DEPDIR)
1281         -rm -f Makefile
1282 distclean-am: clean-am distclean-compile distclean-generic \
1283         distclean-local distclean-tags
1284
1285 dvi: dvi-am
1286
1287 dvi-am:
1288
1289 html: html-am
1290
1291 html-am:
1292
1293 info: info-am
1294
1295 info-am:
1296
1297 install-data-am: install-data-local install-libsciumfpack_la_etcDATA \
1298         install-libsciumfpack_la_rootDATA \
1299         install-libsciumfpack_la_sci_gatewayDATA
1300
1301 install-dvi: install-dvi-am
1302
1303 install-dvi-am:
1304
1305 install-exec-am: install-pkglibLTLIBRARIES
1306
1307 install-html: install-html-am
1308
1309 install-html-am: install-html-local
1310
1311 install-info: install-info-am
1312
1313 install-info-am:
1314
1315 install-man:
1316
1317 install-pdf: install-pdf-am
1318
1319 install-pdf-am:
1320
1321 install-ps: install-ps-am
1322
1323 install-ps-am:
1324
1325 installcheck-am:
1326
1327 maintainer-clean: maintainer-clean-am
1328         -rm -rf sci_gateway/c/$(DEPDIR) src/c/$(DEPDIR) src/noumfpack/$(DEPDIR)
1329         -rm -f Makefile
1330 maintainer-clean-am: distclean-am maintainer-clean-generic
1331
1332 mostlyclean: mostlyclean-am
1333
1334 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1335         mostlyclean-libtool
1336
1337 pdf: pdf-am
1338
1339 pdf-am:
1340
1341 ps: ps-am
1342
1343 ps-am:
1344
1345 uninstall-am: uninstall-libsciumfpack_la_etcDATA \
1346         uninstall-libsciumfpack_la_rootDATA \
1347         uninstall-libsciumfpack_la_sci_gatewayDATA \
1348         uninstall-pkglibLTLIBRARIES
1349
1350 .MAKE: check-am install-am install-strip
1351
1352 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1353         check-local clean clean-generic clean-libtool clean-local \
1354         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1355         ctags ctags-am distclean distclean-compile distclean-generic \
1356         distclean-libtool distclean-local distclean-tags distdir dvi \
1357         dvi-am html html-am info info-am install install-am \
1358         install-data install-data-am install-data-local install-dvi \
1359         install-dvi-am install-exec install-exec-am install-html \
1360         install-html-am install-html-local install-info \
1361         install-info-am install-libsciumfpack_la_etcDATA \
1362         install-libsciumfpack_la_rootDATA \
1363         install-libsciumfpack_la_sci_gatewayDATA install-man \
1364         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1365         install-ps install-ps-am install-strip installcheck \
1366         installcheck-am installdirs maintainer-clean \
1367         maintainer-clean-generic mostlyclean mostlyclean-compile \
1368         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1369         tags tags-am uninstall uninstall-am \
1370         uninstall-libsciumfpack_la_etcDATA \
1371         uninstall-libsciumfpack_la_rootDATA \
1372         uninstall-libsciumfpack_la_sci_gatewayDATA \
1373         uninstall-pkglibLTLIBRARIES
1374
1375
1376 # This target enables tests for Scilab
1377 check-local: $(top_builddir)/scilab-bin test
1378         if test -d $(mydatadir)/tests; then \
1379           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1380         fi
1381 check-code:
1382         if test -f build.xml; then \
1383                 $(ANT) checkstyle; \
1384         fi
1385         if test -x "$(SPLINT)"; then \
1386                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1387         fi
1388 @NEED_JAVA_TRUE@java:
1389 # Some configurations needs to export JAVA_HOME in the current env
1390 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1391 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1392 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1393 @NEED_JAVA_TRUE@                $(ANT); \
1394 @NEED_JAVA_TRUE@        fi
1395
1396 @NEED_JAVA_TRUE@clean-java:
1397 # Some configurations needs to export JAVA_HOME in the current env
1398 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1399 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1400 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1401 @NEED_JAVA_TRUE@                $(ANT) clean; \
1402 @NEED_JAVA_TRUE@        fi;
1403
1404 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1405 # We call the target swig-build on the variable SWIG_WRAPPERS
1406
1407 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1408 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1409 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1410 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1411 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1412 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1413 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1414 @SWIG_TRUE@             done; \
1415 @SWIG_TRUE@     fi
1416
1417 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1418 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1419 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1420 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1421 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1422 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1423 @SWIG_TRUE@             done; \
1424 @SWIG_TRUE@     fi
1425
1426 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1427 # We call the target swig-build on the variable SWIG_WRAPPERS
1428
1429 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1430 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1431 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1432 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1433 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1434 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1435 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1436 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1437 @GIWS_TRUE@                     else \
1438 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1439 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1440 @GIWS_TRUE@                     fi \
1441 @GIWS_TRUE@             done; \
1442 @GIWS_TRUE@     fi
1443
1444 @GIWS_TRUE@giws-exception:
1445 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1446 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1447 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1448
1449 macros:
1450         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1451                 echo "Error : Cannot build $< : Scilab has not been built"; \
1452         else \
1453                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1454         fi)
1455
1456 # Removes the macros
1457 clean-macros:
1458 # Removes macros (*.bin generated from .sci)
1459         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1460                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1461                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1462         done
1463
1464 test:
1465 # More tests could be added here
1466         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1467         if test -f build.xml -a $$USEANT -eq 1; then \
1468                 $(ANT) test; \
1469         fi
1470
1471 all-local: $(TARGETS_ALL)
1472
1473 .sci.bin:
1474         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1475         echo "Error : Cannot build $< : Scilab has not been build"; \
1476         else \
1477         echo "Creating $@"; \
1478         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1479         fi )
1480
1481 install-html-local:
1482
1483 install-data-local-local:
1484 # Mainly for javasci
1485         @if test -d $(srcdir)/javadoc; then \
1486                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1487         fi
1488 # If the user wants the help sources to be installed
1489 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1490 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1491 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1492 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1493 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1494 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1495 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1496 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1497 @INSTALL_HELP_XML_TRUE@           done ; \
1498 @INSTALL_HELP_XML_TRUE@         fi; \
1499 @INSTALL_HELP_XML_TRUE@  fi; \
1500 @INSTALL_HELP_XML_TRUE@ done; \
1501 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1502 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1503 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1504 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1505 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1506 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1507 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1508 @INSTALL_HELP_XML_TRUE@           done ; \
1509 @INSTALL_HELP_XML_TRUE@         fi; \
1510 @INSTALL_HELP_XML_TRUE@ fi
1511 install-data-local:
1512 # Install the tests
1513         @echo "-------- Install tests (if any) --------"; \
1514         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1515           if test -d $(srcdir)/$$dir/; then \
1516             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1517                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1518                     if test -d "$(srcdir)/$$dir/$$file"; then \
1519                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1520                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1521                     else \
1522                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1523                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1524                     fi \
1525                   done; \
1526           fi; \
1527         done
1528 # Install the help chapter
1529         @echo "-------- Install the help chapter (if any) --------"; \
1530         for lang in $(HELP_CHAPTERLANG); do \
1531                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1532                 if test -f $$HELPFILE; then \
1533                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1534                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1535                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1536                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1537                 fi; \
1538         done
1539 # Install the demos & examples
1540         @echo "-------- Install demos & examples (if any) --------"; \
1541         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1542           if test -d $(srcdir)/$$dir/; then \
1543             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1544                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1545                     if test -d "$(srcdir)/$$dir/$$file"; then \
1546                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1547                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1548                     else \
1549                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1550                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1551                     fi \
1552                   done; \
1553           fi; \
1554         done
1555 # Install the macros
1556         @echo "-------- Install macros (if any) --------"; \
1557         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1558           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1559                 if test -d $(srcdir)/$$dir/; then \
1560                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1561                         if test -n "$(MACROSSPECIALEXT)"; then \
1562                                 specialExtDir=""; \
1563                                 for specialExt in $(MACROSSPECIALEXT); do \
1564                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1565                                 done; \
1566                                 FILELIST="$$FILELIST $$specialExtDir"; \
1567                         fi; \
1568                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1569                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1570                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1571                   done; \
1572                 fi; \
1573         done
1574 # Install java files (.jar)
1575         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1576         echo "-------- Install jar files --------"; \
1577     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1578           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1579                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1580                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1581           done ; \
1582         fi
1583
1584 ########### CLEAN ###################
1585 # Clean help (generated automatically by Scilab)
1586 # It used to clean the macro (clean-macros) but this was causing
1587 # make clean && make to fail Scilab startup
1588 @NEED_JAVA_TRUE@clean-local: clean-java
1589 @NEED_JAVA_FALSE@clean-local:
1590
1591 distclean-local:
1592         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1593
1594 .PHONY: macros java swig giws
1595
1596 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1597 # Otherwise a system limit (for SysV at least) may be exceeded.
1598 .NOEXPORT: